const gulp    = require('gulp');
const concat  = require('gulp-concat');
const rename  = require('gulp-rename');
const uglify  = require('gulp-uglify');
const pump    = require('pump');
const jshint  = require('gulp-jshint');
const replace = require('gulp-replace');
const clean   = require('gulp-clean');

var paths = {
    srcHTML  : 'src/views/*.html',
    srcJS    : 'src/js/*.js',
    confJS   : 'src/etc/develop.js',
    dist     : 'dist/',
    temp     : 'tmp/',
    distHTML : 'dist/views/'
};

gulp.task('uglify', function() {
    pump(
        [
            gulp.src([paths.srcJS, paths.confJS]),
            concat('foca-configuracion.js'),
            replace('/src/', '/dist/'),
            gulp.dest(paths.temp),
            rename('foca-configuracion.min.js'),
            uglify(),
            gulp.dest(paths.dist)
        ]
    );
});

gulp.task('clean-post-install', function() {
    return gulp.src(['src', 'tmp', '.jshintrc','readme.md', '.gitignore', 'gulpfile.js',
                     'index.html'], {read: false})
    .pipe(clean());
});

gulp.task('pre-commit', function() {
    pump(
        [
            gulp.src(paths.srcJS),
            jshint('.jshintrc'),
            jshint.reporter('default'),
            jshint.reporter('fail')
        ]
    );
    gulp.start('uglify');
});

gulp.task('default', ['uglify']);
